#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_x=0; 
   double t1_var_x=0; 
   double der_var_x=0; 
   double t1_der_var_x=0; 
   double var_y=0; 
   double t1_var_y=0; 
   double der_var_y=0; 
   double t1_der_var_y=0; 
   double var_z=0; 
   double t1_var_z=0; 
   double der_var_z=0; 
   double t1_der_var_z=0; 
   double par_Para=0; 
   double t1_par_Para=0; 
   double par_Cont=0; 
   double t1_par_Cont=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_x=t1_v1_0; // TLM =
   var_x=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_x=t1_v1_0; // TLM =
   der_var_x=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_y=t1_v1_0; // TLM =
   var_y=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_y=t1_v1_0; // TLM =
   der_var_y=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_z=t1_v1_0; // TLM =
   var_z=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_z=t1_v1_0; // TLM =
   der_var_z=v1_0; // SAC =
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_Para=t1_v1_0; // TLM =
   par_Para=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_par_Cont=t1_v1_0; // TLM =
   par_Cont=v1_0; // SAC =
   t1_v1_0=t1_var_x; // TLM scalar memory reference
   v1_0=var_x; // SAC scalar memory reference
   t1_v1_1=t1_par_Para; // TLM scalar memory reference
   v1_1=par_Para; // SAC scalar memory reference
   t1_v1_2=t1_par_Cont; // TLM scalar memory reference
   v1_2=par_Cont; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_y; // TLM scalar memory reference
   v1_0=var_y; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=5;  // SAC constant reference
   t1_v1_2=t1_par_Para; // TLM scalar memory reference
   v1_2=par_Para; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_z; // TLM scalar memory reference
   v1_0=var_z; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=0.37256;  // SAC constant reference
   t1_v1_2=t1_v1_1; // TLM ()
   v1_2=v1_1; // SAC ()
   t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
   v1_3=v1_0-v1_2; // SAC -
   t1_yy[i_E]=t1_v1_3; // TLM =
   yy[i_E]=v1_3; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   // nonfloat assignment
   n_c=i_C;
}
